KFIFO_OUT_PEEK(9)

NAME
kfifo_out_peek - gets some data from the fifo

SYNOPSIS

kfifo_out_peek(fifo, buf, n);

ARGUMENTS

fifo
    address of the fifo to be used

buf
    pointer to the storage buffer

n
    max. number of elements to get

DESCRIPTION

This macro get the data from the fifo and return the numbers of elements copied. The data is not removed from the fifo.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these macro.

COPYRIGHT